Bug 1417819 - Laptop refuses to shutdown if it has an external NFS share mounted
Summary: Laptop refuses to shutdown if it has an external NFS share mounted
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: autofs
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ian Kent
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 07:35 UTC by Oleg Fayans
Modified: 2017-12-12 10:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:35:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Oleg Fayans 2017-01-31 07:35:20 UTC
Description of problem:

Shutdown process hangs forever attempting to (seemingly) unmount a mounted NFS share. The message displayed is "A stop job is running for /net/remote/share"

Version-Release number of selected component (if applicable):
Applies for both f24 and f25
autofs-5.1.2-1.fc25.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Mount an external NFS share using autofs
2. Open some file on this share in some program on your laptop, for example add a music file to your music player
3. shutdown using "shutdown -h now" or system menu

Actual results:
Computer never shuts down constantly increasing the timeout interval for stopping the job

Expected results:
Computer shuts down.

Additional info:
NFS share is mounted using autofs.
Reproduced on all available laptops, being Fujitsu Lifebook AH532 and Lenovo T530.

Comment 1 Ian Kent 2017-01-31 10:01:41 UTC
(In reply to Oleg Fayans from comment #0)
> Description of problem:
> 
> Shutdown process hangs forever attempting to (seemingly) unmount a mounted
> NFS share. The message displayed is "A stop job is running for
> /net/remote/share"
> 
> Version-Release number of selected component (if applicable):
> Applies for both f24 and f25
> autofs-5.1.2-1.fc25.x86_64

How have you established the problem is with autofs?

> 
> How reproducible:
> Always
> 
> Steps to Reproduce:
> 1. Mount an external NFS share using autofs

What are the contents of the maps you setup for this?

Comment 2 Oleg Fayans 2017-01-31 10:11:04 UTC
I do not know exactly what causes the problem, I just don't like the result :)

I use the default auto.master config with the relevant line looking like this:
/net	-hosts

Comment 3 Fedora End Of Life 2017-11-16 19:35:09 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:35:48 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.